GET
/
v1
/
subscriptions
/
{subscriptionId}
Get my subscription
curl --request GET \
  --url https://api.withconvexity.com/v1/subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Subscription retrieved successfully",
  "data": {
    "id": "9f1d6c2e-3b4a-4d8e-8c1a-2f6b9a0c5d11",
    "projectId": "3c9a7b10-44de-4f0a-9c2e-1a2b3c4d5e6f",
    "businessId": "42",
    "planId": 1,
    "billingCycle": "MONTHLY",
    "status": "ACTIVE",
    "subscriptionType": "EXTERNAL",
    "startDate": "2026-06-01T00:00:00.000Z",
    "endDate": "2026-07-01T00:00:00.000Z",
    "autoRenew": true,
    "creditAmount": null,
    "paymentRef": "pay_ref_7f3a9c",
    "createdBy": "system",
    "createdAt": "2026-06-01T08:15:22.000Z",
    "updatedAt": "2026-06-01T08:15:22.000Z"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from Auth-Edge.

Path Parameters

subscriptionId
string
required

Subscription id.

Response

OK

The response is of type object.